package com.realnet.basic.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic.Entity.Dashboard_overview;
import com.realnet.basic.Services.Dashboard_overviewService ;










@RequestMapping(value = "/Dashboard_overview")
 @CrossOrigin("*") 
@RestController
public class Dashboard_overviewController {
	@Autowired
	private Dashboard_overviewService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Dashboard_overview")
		  public Dashboard_overview Savedata(@RequestBody Dashboard_overview data) {
		Dashboard_overview save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Dashboard_overview/{id}")
	public  Dashboard_overview update(@RequestBody Dashboard_overview data,@PathVariable Integer id ) {
		Dashboard_overview update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Dashboard_overview/getall/page")
	public Page<Dashboard_overview> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Dashboard_overview> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Dashboard_overview")
	public List<Dashboard_overview> getdetails() {
		 List<Dashboard_overview> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Dashboard_overview")
	public List<Dashboard_overview> getallwioutsec() {
		 List<Dashboard_overview> get = Service.getdetails();		
		return get;
}
@GetMapping("/Dashboard_overview/{id}")
	public  Dashboard_overview  getdetailsbyId(@PathVariable Integer id ) {
		Dashboard_overview  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Dashboard_overview/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}